﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Ufo : MonoBehaviour {
	float speed;
	bool moveLeft;
	public AudioClip ufoExplosion;
	AudioSource ufoAudio;
	// Use this for initialization
	void Start () {
		ufoAudio = GetComponent<AudioSource> ();
		speed = 1.0f;
		if (transform.position.x < 0f) {
			// go right
			moveLeft = false;
		} else {
			// go left
			moveLeft = true;
		}
	}
	
	// Update is called once per frame
	void Update () {
		RemoveOffScreen ();
		if (moveLeft) {
			transform.position += Vector3.left * speed * Time.deltaTime;
		} else {
			transform.position += Vector3.right * speed * Time.deltaTime;
		}
	}
		
	void OnCollisionEnter2D(Collision2D obj) {
		if (obj.gameObject.tag == "lazer") {
			ufoAudio.PlayOneShot (ufoExplosion, 1.0f);
			ScoreBoard.score += 100000;
			Destroy (gameObject);
		}
	}

	void RemoveOffScreen() {
		if (transform.position.x < -6f) {
			Destroy (gameObject);
		} else if (transform.position.x > 6f) {
			Destroy (gameObject);
		}
	}
}
