﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class MovePlayer : MonoBehaviour {
	float speed;
	public static int ammo;
	public GameObject lazer;
	public static int playerHealth;
	public AudioClip lazerAudio;
	AudioSource shipAudio;

	private float timeBetweenShots;

	private float timestamp;
	// Use this for initialization
	void Start () {
		shipAudio = GetComponent<AudioSource> ();
		speed = 5.0f;
		playerHealth = 30;
		timeBetweenShots = 0.33f;
		ammo = 0;
	}
	
	// Update is called once per frame
	void Update () {
		if (Input.GetKey ("left")) {
			transform.position += Vector3.left * speed * Time.deltaTime;
		} else if (Input.GetKey ("right")) {
			transform.position += Vector3.right * speed * Time.deltaTime;
		} else if (Time.time >= timestamp && (Input.GetKeyDown(KeyCode.Space))) {
			// play lazer soundeffect
			shipAudio.PlayOneShot(lazerAudio, 0.7f);
			Instantiate(lazer, transform.position, transform.rotation);
			timestamp = Time.time + timeBetweenShots;
		}
	}

	// FixedUpdate is called once per sec
	void FixedUpdate () {
		
	}

	void OnCollisionEnter2D(Collision2D obj) {
		if (obj.gameObject.tag == "invaders") {
			playerHealth -= 30;
			Destroy (obj.gameObject);
			Destroy (gameObject);
		}
	}
}
